package com.example.tomas.gpslocator;


import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends FragmentActivity implements View.OnClickListener {

    double lon;
    double lat;

    double intlon;
    public double getIntLon() {
        return intlon;
    }
    public void setIntLon(double lon) {
        this.intlon = lon;
    }

    double intlat;
    public double getIntLat() {
        return intlat;
    }
    public void setIntLat(double lat) {
        this.intlat = lat;
    }


    DrawView drawView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button mapa = (Button) findViewById(R.id.mapa);
        Button poloha = (Button) findViewById(R.id.poloha);

        mapa.setOnClickListener(this);
        poloha.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        Poloha gps = new Poloha(MainActivity.this);

        //vyhledání textových polí pro zápis souřadnic
        TextView textlongtitude = (TextView) findViewById(R.id.textlongtitude);
        TextView textlatitude = (TextView) findViewById(R.id.textLatitude);

        switch (v.getId()) {
            case R.id.mapa: //zobrazení mapy
                drawView = new DrawView(this, getIntLat(), getIntLon());
                gps.stopUsingGPS(); //vypnuti aktualizace gps
                setContentView(drawView);
                break;

            case R.id.poloha: // vlozeni dat z gps(Poloha) do textview v aktivite...

                if (gps.canGetLocation()) { // kontrola zapnutí gps
                    textlongtitude.setText(String.valueOf(gps.getLongitude()));
                    lon = gps.getLongitude(); //vypsání zeměpisné délky
                    textlatitude.setText(String.valueOf(gps.getLatitude()));
                    lat = gps.getLatitude(); //vypsání zeměpisné šířky

                    setIntLon( gps.getLongitude()); //uložení souřadnic do proměnné
                    setIntLat( gps.getLatitude());
                } else {
                    // Dotázat na zapnutí gps
                    gps.showSettingsAlert();
                }
                break;
        }
    }
}